Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 452654

Summary: Fedora 9 freezes when firefox starts
Product: [Fedora] Fedora Reporter: Jithin Emmanuel <jithin1987>
Component: firefoxAssignee: Gecko Maintainer <gecko-bugs-nobody>
Status: CLOSED CURRENTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: low Docs Contact:
Priority: low    
Version: 9CC: mcepl, walters
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: 3.0.1 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2008-07-30 06:25:10 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Jithin Emmanuel 2008-06-24 10:50:26 UTC
Description of problem:
use fedora 9 on laptop compaq 6910p. It completely freezes when firefox 3 starts.
Generally it works when firefox first start. But if I happen to restart firefox
it completely freezes

I work on my laptop with a docking station and hp lp2465 monitor.

Version-Release number of selected component: 3


How reproducible:
Start firefox 3. Do some work. Restart firefox.

Steps to Reproduce:
1. Start firefox.
2. Do something
3. Restart firefox
  
Actual results:
System freeze.

Expected results:
Fedora should work as it is before.

Additional info: When firefox starts screen goes blank for a moment.

Comment 1 Matěj Cepl 2008-07-29 16:26:08 UTC
Thanks for the bug report.  We have reviewed the information you have provided
above, and there is some additional information we require that will be helpful
in our diagnosis of this issue.

First of all, could we get output of the command

	rpm -qa *xulrun* *firefox* *mozilla* *flash* *plugin*

Please also install firefox-debuginfo (debuginfo-install is from
yum-utils package).

	debuginfo-install firefox

Then run firefox with a parameter -g. That will start firefox running inside of
gdb debugger. Then use command run and do whatever you did to make firefox
crash. When it happens, you should go back to the gdb and run

	(gdb) thread apply all backtrace

This produces usually many screens of the text. Copy all of them into a text
editor and attach the file to the bug as an uncompressed attachment.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.

Comment 2 Jithin Emmanuel 2008-07-30 03:56:24 UTC
After firefox update to 3.0.1 this problem seems to have disappeared. If I
encounter this problem again I will get back to you guys. Thanks for your response.

Comment 3 Matěj Cepl 2008-07-30 06:25:10 UTC
Thanks for letting us know.